/*
 * === Ardumotive Shield for Arduino UNO Board ===
 * Arduino Tutorial: Temperature, Humidity, Brightness
 * Dev Michalis Vasilakis/Date 24/3/2018/http://ardumotive.com
 */
 
#include <Adafruit_GFX.h>
#include <Adafruit_PCD8544.h>
#include <dht.h>

#define DHTPIN 2   
Adafruit_PCD8544 display = Adafruit_PCD8544(3,4,5,6,7);
dht DHT;


void setup() {
  // put your setup code here, to run once:
  display.begin();
  display.setContrast(50);
  display.clearDisplay();   // clears the screen and buffer

}

void loop() {
  int chk = DHT.read22(DHTPIN);
  // put your main code here, to run repeatedly:
  int h = DHT.humidity;
  // Read temperature as Celsius (the default)
  float t = DHT.temperature;
  display.setTextSize(1);
  display.println("Temperature:");
  display.println("");
  display.setTextSize(3);
  display.println(t,1);
  display.display();
  delay(2000);
  
  display.setTextSize(1);
  display.clearDisplay();   // clears the screen and buffer
  display.println("Humidity:\n");
  display.setTextSize(3);
  display.print(" ");  
  display.print(h);
  display.println("%");
  display.display();
  delay(2000);
  
  display.clearDisplay();   // clears the screen and buffer
  display.setTextSize(1);
  display.clearDisplay();   // clears the screen and buffer
  display.println("PhotoCell:\n");
  display.setTextSize(3);
  display.print(" ");  
  display.print((float(analogRead(A0))/1024)*100,0);
  display.println("%");
  display.display();
  delay(2000);
  
  display.clearDisplay();   // clears the screen and buffer

}
